Bug 459165 - RFE: gpk-application doesn't do a good job of showing pkgs in the right pane
RFE: gpk-application doesn't do a good job of showing pkgs in the right pane
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Robin Norwood
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-14 15:40 EDT by James Antill
Modified: 2009-07-14 13:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:15:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Antill 2008-08-14 15:40:44 EDT
Description of problem:
 If you click on say "programming" you get a _huge_ list of entries, which tends to be significantly less useble than "yum groupinfo -v" on recent yums:

1. Each pkg is an entry, different versions could be folded here ... this is _esp._ annoying for older versions. Consider folding arch here too. The "Hide subpackages" is a very heavy hammer here (and is esp. bad/confusing considering PK shows a single arch), because you can't then install foo-devel.

2. Each entry takes ~4 lines, this is nice for small groups ... but as soon as you get to more than 2 pages or so, it'd be much better to have 1 entry per. line (no package name, no arch).

3. There is no easy way to see what is "available to install" vs. "available to update to".
Comment 1 Richard Hughes 2008-08-15 05:04:20 EDT
>Hide subpackages" is a very heavy hammer here

Have you tried the newest filter? That's on by default in 0.3.0

>Each entry takes ~4 lines, this is nice for small groups

I want to keep the UI uniform, and have a wide bar for all packages -- there's already far too many options in gpk-applcation IMHO.

>There is no easy way to see what is "available to install" vs. "available to
update to".

Valid point. There was a debate on the mailing list recently about that -- with the yum backend it's quite expensive to see if a package is upgradable -- well, at least for a few hundred packages. We need to fix the backends to be clear about what a package is, and install, an upgrade or installed. Unfortunatly, it makes the installed/not installed filter semantics that much harder when you have three states.
Comment 2 Bug Zapper 2009-06-09 22:28:07 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-07-14 13:15:47 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.